Create smart account with passkey
curl --request POST \
--url https://grid.squads.xyz/api/grid/v1/passkeys/account \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-grid-environment: <x-grid-environment>' \
--data '
{
"authenticatorResponse": {},
"sessionKey": {
"expiration": 1,
"key": "11111111111111111111111111111111"
},
"slotNumber": 1,
"adminAddress": "<string>",
"memo": "<string>"
}
'import requests
url = "https://grid.squads.xyz/api/grid/v1/passkeys/account"
payload = {
"authenticatorResponse": {},
"sessionKey": {
"expiration": 1,
"key": "11111111111111111111111111111111"
},
"slotNumber": 1,
"adminAddress": "<string>",
"memo": "<string>"
}
headers = {
"x-grid-environment": "<x-grid-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-grid-environment': '<x-grid-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
authenticatorResponse: {},
sessionKey: {expiration: 1, key: '11111111111111111111111111111111'},
slotNumber: 1,
adminAddress: '<string>',
memo: '<string>'
})
};
fetch('https://grid.squads.xyz/api/grid/v1/passkeys/account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "<string>",
"authentication": [
{
"session": {
"Privy": {
"privy_access_token": "<string>",
"refresh_token": "<string>",
"session": {
"expires_at": 1,
"wallets": [
{
"additional_signers": [
{
"signer_id": "<string>",
"override_policy_ids": [
"<string>"
]
}
],
"address": "<string>",
"created_at": 1,
"id": "<string>",
"policy_ids": [
"<string>"
],
"exported_at": 1,
"imported_at": 1,
"owner_id": "<string>",
"public_key": "<string>"
}
],
"authorization_key": "<string>",
"encrypted_authorization_key": {
"ciphertext": "<string>",
"encapsulated_key": "<string>",
"encryption_type": "<string>"
}
},
"token": "<string>",
"user_id": "<string>"
}
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"policies": {
"signers": [
{
"address": "<string>",
"permissions": []
}
],
"threshold": 1,
"admin_address": "<string>",
"time_lock": 1
},
"status": "<string>",
"type": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}passkeys
Create smart account with passkey
Create a new smart account with a passkey as the initial signer. The passkey account must already exist (created via POST /passkeys and POST /passkeys/submit). This creates a 1/1 smart account with the passkey having full permissions.
POST
/
api
/
grid
/
v1
/
passkeys
/
account
Create smart account with passkey
Authorizations
Your Grid API key from the Grid Dashboard
Headers
Solana network environment (sandbox, devnet, mainnet)
Body
application/json
Grid v1 API SessionKey type that supports backward-compatible deserialization from both raw bytes array (old format) and base58 string (new format). Always serializes to base58 string format.
Show child attributes
Show child attributes
Required range:
x >= 0Was this page helpful?
⌘I